| Flutter Linux Embedder |

Functions
fl_keyboard_pending_event.h File Reference
`#include "fl_key_event.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS | G_DECLARE_FINAL_TYPE (FlKeyboardPendingEvent, fl_keyboard_pending_event, FL, KEYBOARD_PENDING_EVENT, GObject)
FlKeyboardPendingEvent * | fl_keyboard_pending_event_new (FlKeyEvent *event)
FlKeyEvent * | fl_keyboard_pending_event_get_event (FlKeyboardPendingEvent *event)
uint64_t | fl_keyboard_pending_event_get_hash (FlKeyboardPendingEvent *event)
void | fl_keyboard_pending_event_mark_embedder_replied (FlKeyboardPendingEvent *event, gboolean handled)
void | fl_keyboard_pending_event_mark_channel_replied (FlKeyboardPendingEvent *event, gboolean handled)
gboolean | fl_keyboard_pending_event_get_any_handled (FlKeyboardPendingEvent *event)
gboolean | fl_keyboard_pending_event_is_complete (FlKeyboardPendingEvent *event)

## Function Documentation

## ◆ fl_keyboard_pending_event_get_any_handled()

gboolean fl_keyboard_pending_event_get_any_handled | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 94 of file fl_keyboard_pending_event.cc.

95 {
96 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), FALSE);
97 return self->embedder_handled || self->channel_handled;
98 }

Referenced by responder_handle_event_callback().

## ◆ fl_keyboard_pending_event_get_event()

FlKeyEvent* fl_keyboard_pending_event_get_event | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 68 of file fl_keyboard_pending_event.cc.

68 {
69 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), nullptr);
70 return self->event;
71 }

Referenced by responder_handle_event_callback().

## ◆ fl_keyboard_pending_event_get_hash()

uint64_t fl_keyboard_pending_event_get_hash | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 73 of file fl_keyboard_pending_event.cc.

73 {
74 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), 0);
75 return self->hash;
76 }

Referenced by compare_pending_by_hash().

## ◆ fl_keyboard_pending_event_is_complete()

gboolean fl_keyboard_pending_event_is_complete | ( | FlKeyboardPendingEvent * | event | ) |

Definition at line 100 of file fl_keyboard_pending_event.cc.

100 {
101 g_return_val_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self), FALSE);
102 return self->embedder_replied && self->channel_replied;
103 }

Referenced by responder_handle_event_callback().

## ◆ fl_keyboard_pending_event_mark_channel_replied()

void fl_keyboard_pending_event_mark_channel_replied | ( | FlKeyboardPendingEvent * | event,
|  | gboolean | handled
| ) |  |

Definition at line 86 of file fl_keyboard_pending_event.cc.

88 {
89 g_return_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self));
90 self->channel_replied = true;
91 self->channel_handled = handled;
92 }

Referenced by responder_handle_channel_event_cb().

## ◆ fl_keyboard_pending_event_mark_embedder_replied()

void fl_keyboard_pending_event_mark_embedder_replied | ( | FlKeyboardPendingEvent * | event,
|  | gboolean | handled
| ) |  |

Definition at line 78 of file fl_keyboard_pending_event.cc.

80 {
81 g_return_if_fail(FL_IS_KEYBOARD_PENDING_EVENT(self));
82 self->embedder_replied = true;
83 self->embedder_handled = handled;
84 }

Referenced by responder_handle_embedder_event_callback().

## ◆ fl_keyboard_pending_event_new()

FlKeyboardPendingEvent* fl_keyboard_pending_event_new | ( | FlKeyEvent * | event | ) |

Definition at line 58 of file fl_keyboard_pending_event.cc.

58 {
59 FlKeyboardPendingEvent* self = FL_KEYBOARD_PENDING_EVENT(
60 g_object_new(fl_keyboard_pending_event_get_type(), nullptr));
61
62 self->event = FL_KEY_EVENT(g_object_ref(event));
63 self->hash = fl_key_event_hash(self->event);
64
65 return self;
66 }
fl_key_event_hash
uint64_t fl_key_event_hash(FlKeyEvent *self)
Definition: fl_key_event.cc:114

References fl_key_event_hash().

Referenced by fl_keyboard_manager_handle_event().

## ◆ G_DECLARE_FINAL_TYPE()

G_BEGIN_DECLS G_DECLARE_FINAL_TYPE | ( | FlKeyboardPendingEvent | ,
|  | fl_keyboard_pending_event | ,
|  | FL | ,
|  | KEYBOARD_PENDING_EVENT | ,
|  | GObject |
| ) |  |